#
# DecAlpha  OSF1
# compiler defines __alpha
#
CC=cc
CCFLAG=-O -std
LDFLAG=-O -s
AR=ar r
XINCLUDE=
SYSLIB=-lX11 -lm


# where the library is going to go and its mode
LIB_TOPDIR=/usr

LIB_DIR=$(LIB_TOPDIR)/lib
LIBMODE=644

# header
HEADER_DIR=$(LIB_TOPDIR)/include
HEADERMODE=644

BIN_DIR=/usr/local/bin
BINMODE=711

MAN5_DIR=$(LIB_TOPDIR)/man/man5
MAN1_DIR=$(LIB_TOPDIR)/man/man1
MANMODE=644

# name and header of the library
FORMLIB=libforms.a
FORMHEADER=forms.h

# make shared lib: $(MKSHLIB) 
SHARED_LIB=libforms.so.0.88
SHARED_NAME=libforms.so
MKSHLIB=ld -shared -all libforms.a ../xpm-3.4g/lib/libXpm.a \
        -set_version 0.88 -o $(SHARED_LIB)

LN=ln -fs
